local bombCount = 5
local CurBomb = 1
local ingots = {}

--find path
function script_path()
   local str = debug.getinfo(2, "S").source:sub(2)
   return str:match("(.*/)")
end
local function makeBomb(index)
	return LoadActor(script_path().."bomb/bomb")..{
		Name=index;
		InitCommand=function(self)
			self:zoom(0.5)
		end;
	};
end
local t = Def.ActorFrame{
	BombCommand=function(self)
		CurBomb = ((CurBomb) % bombCount) +1
		self:GetChild(bombCount+1-CurBomb):queuecommand("Bomb2")
	end;	
	W1Command=function(self)
		self:queuecommand("Bomb")
	end;
	W2Command=function(self)
		self:queuecommand("Bomb")
	end;
	W3Command=function(self)
		self:queuecommand("Bomb")
	end;
	HeldCommand=function(self)
		self:queuecommand("Bomb")
	end;
	HoldingOnCommand=function(self)
		self:GetChild(bombCount+1-CurBomb):queuecommand("KillExplosion")
		self:queuecommand("HoldT")
	end;
	Def.Sprite {
		Texture="bomb/flare";
		BombCommand=function(self)
			self:stoptweening():blend('BlendMode_Add'):diffuse(0,0,1,1):zoom(1.4):rotationz(0)
			self:linear(0.017):zoom(2.25):diffuse(1,1,1,1)
			self:linear(0.0833):rotationz(43):zoomx(1.15):diffusealpha(0.4)
			self:linear(0.0667):rotationz(63):zoomx(0.2):diffusealpha(0)
		end; 
		HoldingOnCommand=function(self)
			self:stoptweening():diffusealpha(0)
		end;     
   		 InitCommand=function(self)
			self:stoptweening():diffusealpha(0)
		end;     
	};
}
t[#t+1] = Def.ActorFrame{
	InitCommand=function(self)	self:zoom(0.5):diffusealpha(0)	end;
	HoldTCommand=function(self)	self:diffusealpha(1):sleep(0.083):queuecommand("HoldT")	end;
	HoldingOffCommand=function(self) self:stoptweening():diffusealpha(0) end;
	Def.Sprite{
		Texture="bomb/tail1";
		HoldTCommand=function(self)
		self:stoptweening()
		self:xy(12,-93):zoomx(1.1):zoomy(1.07):rotationz(9)
		self:linear(0.083)
		self:xy(7,-92):rotationz(2)
		end;
	};
	Def.Sprite{
		Texture="bomb/body1";
		HoldTCommand=function(self)
		self:xy(2,-3):zoomx(.73):zoomy(.88)
		end;
	};
	Def.Sprite{
		Texture="bomb/head";
		HoldTCommand=function(self)
		self:stoptweening()
		self:xy(-8,-39):zoom(.85):rotationz(-19)
		self:linear(0.083)
		self:xy(-5,-39):rotationz(-13)
		end;
	}
}
for i=1,bombCount do
	t[#t+1] = makeBomb(i)
end
return t
